package com.dayou.service;
import com.dayou.common.PullDownModel;
import com.dayou.entity.SortedDepartment;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 轮单部门 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-10-31
 */
public interface ISortedDepartmentService extends IService<SortedDepartment> {

        Page<SortedDepartment> selectPage(Page page,SortedDepartment sortedDepartment);

        SortedDepartment detail(Long id);

        Boolean add(SortedDepartment sortedDepartment);

        Boolean update(SortedDepartment sortedDepartment);

        Boolean delete(Long id);

    List<PullDownModel> simpleAll(String businessType);
}
